.container {
    display: flex;
    height: calc(100vh - 64px);
}

.buckets {
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    border-right: solid 1px black;
}

.bucket {
    width: 200px;
    height: 150px;
    margin: 20px 10px;
    text-align: center;
    border-radius: 10px;
    border: solid 1px black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    user-select: none;
    cursor: pointer;
}

.bucket:hover {
    background-color: rgb(80, 106, 156);
    color: white;
}

.bucket h2 {
    margin-bottom: 10px;
    line-height: 1;
}

.bucket mat-icon {
    font-size: 2rem;
}

.bucket .bucket_actions mat-icon{
    transition-duration: .3s;
}

.bucket .bucket_actions mat-icon:hover{
    cursor: pointer;
    text-shadow: 0px 0px 20px black;
}

.add_bucket {
    cursor: pointer;
}

.add_bucket h2 {
    margin-bottom: 0;
}

.add_bucket:hover {
    background-color: rgb(80, 106, 156);
    color: snow;
}

.bucket_input {
    width: 90%;
    margin-top: 9px;
}

.add_bucket:hover > .bucket_input mat-label {
    color: white;
}

.selected_bucket {
    text-align: center;
    padding: 20px 0;
    font-size: 1.2rem;
    border-bottom: solid 1px lightgray;
    box-shadow: 0 2px rgba(211, 211, 211, 0.7);
}

.files {
    width: 20%;
}

.file {
    width: 100%;
    height: 38px;
    display: flex;
    padding: 0 5px 0 5px;
    align-items: center;
    border-bottom: solid 1px black;
    user-select: none;
}

.file h5 {
    max-width: 50%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 1rem;
    line-height: 38px;
    margin-bottom: 0;
}

.file mat-icon {
    margin-right: 5px;
}

.files_container {
    width: 100%;
    height: calc(100% - 61px);
    max-height: 100%;
    overflow-y: auto;
}

.add_file {
    cursor: pointer;
}

.add_file:hover {
    background-color: rgb(80, 106, 156);
    color: snow;
}

.divider {
    flex: 1 1 auto;
}

.actions mat-icon:hover {
    cursor: pointer;
    color: rgb(80, 106, 156)
}

#hideInput {
    visibility: hidden;
    display: none;
}